- name: Generate workflow
  become: true
  hosts: "myhost"
  vars:
    ansible_user: "{{ my_username }}"
    ansible_password: "{{ my_password }}"
  vars_files:
    - input-1.yaml    
  tasks: 
  - name: generate golive playbook
    ansible.builtin.template:
      src: 'golive_workflow.j2'
      dest: '/opt/ansible-golive-process/golive_workflow-playbook.yml' #ansible script will be generated

  # - name: generate rollback playbook
  #   ansible.builtin.template:
  #     src: 'rollback_workflow.j2'
  #     dest: 'rollback-playbook.yml'